Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.bridge
Class JavaBridgeIllegalArgumentException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      php.java.bridge.JavaBridgeIllegalArgumentException

All Implemented Interfaces:
  java.io.Serializable

    public class JavaBridgeIllegalArgumentException

extends java.lang.IllegalArgumentException

This class is needed for backward compatibility with JDK 1.4

See Also:
  Serialized Form

Constructor Summary
`JavaBridgeIllegalArgumentException(java.lang.String string)`
`JavaBridgeIllegalArgumentException(java.lang.String string, java.lang.Exception e)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JavaBridgeIllegalArgumentException

    public JavaBridgeIllegalArgumentException(java.lang.String string,
                                              java.lang.Exception e)

### JavaBridgeIllegalArgumentException

    public JavaBridgeIllegalArgumentException(java.lang.String string)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD